M_ActivityHappySummerLuckyTurnCFG = {}

function M_ActivityHappySummerLuckyTurnCFG:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityHappySummerLuckyTurnCFG:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Item = 336, Count = 10, Weight = 20}
	self.datas[2] = {ID = 2, Item = 1, Count = 80000, Weight = 255}
	self.datas[3] = {ID = 3, Item = 336, Count = 1, Weight = 50}
	self.datas[4] = {ID = 4, Item = 27, Count = 1, Weight = 25}
	self.datas[5] = {ID = 5, Item = 26, Count = 1, Weight = 50}
	self.datas[6] = {ID = 6, Item = 336, Count = 100, Weight = 0}
	self.datas[7] = {ID = 7, Item = 94, Count = 1, Weight = 40}
	self.datas[8] = {ID = 8, Item = 1, Count = 100000, Weight = 255}
	self.datas[9] = {ID = 9, Item = 96, Count = 1, Weight = 0}
	self.datas[10] = {ID = 10, Item = 1, Count = 200000, Weight = 305}
end

M_ActivityHappySummerLuckyTurnCFG:init()
